Label (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client.asm

## Class Label

- java.lang.Object
- - com.sleepycat.client.asm.Label

-     public class Label
      extends java.lang.Object

  A label represents a position in the bytecode of a method. Labels are used for jump, goto, and switch instructions, and for try catch blocks. A label designates the instruction that is just after. Note however that there can be other elements between a label and the instruction it designates (such as other labels, stack map frames, line numbers, etc.).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `info` Field used to associate user information to a label.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Label()` Constructs a new label.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOffset()` Returns the offset corresponding to this label.
    `java.lang.String` | `toString()` Returns a string representation of this label.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### info

          public java.lang.Object info

      Field used to associate user information to a label. Warning: this field is used by the ASM tree package. In order to use it with the ASM tree package you must override the `org.objectweb.asm.tree.MethodNode#getLabelNode` method.

  - ### Constructor Detail

    - #### Label

          public Label()

      Constructs a new label.

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Returns the offset corresponding to this label. This offset is computed from the start of the method's bytecode. This method is intended for `Attribute` sub classes, and is normally not needed by class generators or adapters.
      Returns:
        the offset corresponding to this label.
      Throws:
        `java.lang.IllegalStateException` - if this label is not resolved yet.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this label.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this label.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.